diff mbox series

[net] selftests: pmtu.sh: Remove quotes around commands in setup_xfrm

Message ID 20190516174131.19473-1-dsahern@kernel.org
State Accepted
Delegated to: David Miller
Headers show
Series [net] selftests: pmtu.sh: Remove quotes around commands in setup_xfrm | expand

Commit Message

David Ahern May 16, 2019, 5:41 p.m. UTC
From: David Ahern <dsahern@gmail.com>

The first command in setup_xfrm is failing resulting in the test getting
skipped:

+ ip netns exec ns-B ip -6 xfrm state add src fd00:1::a dst fd00:1::b spi 0x1000 proto esp aead 'rfc4106(gcm(aes))' 0x0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f 128 mode tunnel
+ out=RTNETLINK answers: Function not implemented
...
  xfrm6 not supported
TEST: vti6: PMTU exceptions                                         [SKIP]
  xfrm4 not supported
TEST: vti4: PMTU exceptions                                         [SKIP]
...

The setup command started failing when the run_cmd option was added.
Removing the quotes fixes the problem:
...
TEST: vti6: PMTU exceptions                                         [ OK ]
TEST: vti4: PMTU exceptions                                         [ OK ]
...

Fixes: 56490b623aa0 ("selftests: Add debugging options to pmtu.sh")
Signed-off-by: David Ahern <dsahern@gmail.com>
---
 tools/testing/selftests/net/pmtu.sh | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

Comments

Stefano Brivio May 16, 2019, 5:51 p.m. UTC | #1
On Thu, 16 May 2019 10:41:31 -0700
David Ahern <dsahern@kernel.org> wrote:

> From: David Ahern <dsahern@gmail.com>
> 
> The first command in setup_xfrm is failing resulting in the test getting
> skipped:
> 
> + ip netns exec ns-B ip -6 xfrm state add src fd00:1::a dst fd00:1::b spi 0x1000 proto esp aead 'rfc4106(gcm(aes))' 0x0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f 128 mode tunnel
> + out=RTNETLINK answers: Function not implemented

Thanks for fixing this, I ran into this issue right today and I was
about to send a patch too. For the record, the quotes went all the way
into xfrm_alg_name_match():

	name: 'rfc4106(gcm(aes))'
	entry->name: rfc4106(gcm(aes))

My solution was to remove the single quotes around 'rfc4106(gcm(aes))',
but I just checked yours and it also works on bash and dash, so I don't
really have a preference.

> ...
>   xfrm6 not supported
> TEST: vti6: PMTU exceptions                                         [SKIP]
>   xfrm4 not supported
> TEST: vti4: PMTU exceptions                                         [SKIP]
> ...
> 
> The setup command started failing when the run_cmd option was added.
> Removing the quotes fixes the problem:
> ...
> TEST: vti6: PMTU exceptions                                         [ OK ]
> TEST: vti4: PMTU exceptions                                         [ OK ]
> ...
> 
> Fixes: 56490b623aa0 ("selftests: Add debugging options to pmtu.sh")
> Signed-off-by: David Ahern <dsahern@gmail.com>

Reviewed-and-tested-by: Stefano Brivio <sbrivio@redhat.com>
David Ahern May 16, 2019, 5:53 p.m. UTC | #2
On 5/16/19 11:51 AM, Stefano Brivio wrote:
> On Thu, 16 May 2019 10:41:31 -0700
> David Ahern <dsahern@kernel.org> wrote:
> 
>> From: David Ahern <dsahern@gmail.com>
>>
>> The first command in setup_xfrm is failing resulting in the test getting
>> skipped:
>>
>> + ip netns exec ns-B ip -6 xfrm state add src fd00:1::a dst fd00:1::b spi 0x1000 proto esp aead 'rfc4106(gcm(aes))' 0x0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f 128 mode tunnel
>> + out=RTNETLINK answers: Function not implemented
> 
> Thanks for fixing this, I ran into this issue right today and I was
> about to send a patch too. For the record, the quotes went all the way
> into xfrm_alg_name_match():
> 
> 	name: 'rfc4106(gcm(aes))'
> 	entry->name: rfc4106(gcm(aes))
> 
> My solution was to remove the single quotes around 'rfc4106(gcm(aes))',
> but I just checked yours and it also works on bash and dash, so I don't
> really have a preference.
> 

None of the other commands have the "" with run_cmd. Not sure why I did
not remove the quotes from the xfrm commands.
David Miller May 16, 2019, 9:28 p.m. UTC | #3
From: David Ahern <dsahern@kernel.org>
Date: Thu, 16 May 2019 10:41:31 -0700

> From: David Ahern <dsahern@gmail.com>
> 
> The first command in setup_xfrm is failing resulting in the test getting
> skipped:
> 
> + ip netns exec ns-B ip -6 xfrm state add src fd00:1::a dst fd00:1::b spi 0x1000 proto esp aead 'rfc4106(gcm(aes))' 0x0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f 128 mode tunnel
> + out=RTNETLINK answers: Function not implemented
> ...
>   xfrm6 not supported
> TEST: vti6: PMTU exceptions                                         [SKIP]
>   xfrm4 not supported
> TEST: vti4: PMTU exceptions                                         [SKIP]
> ...
> 
> The setup command started failing when the run_cmd option was added.
> Removing the quotes fixes the problem:
> ...
> TEST: vti6: PMTU exceptions                                         [ OK ]
> TEST: vti4: PMTU exceptions                                         [ OK ]
> ...
> 
> Fixes: 56490b623aa0 ("selftests: Add debugging options to pmtu.sh")
> Signed-off-by: David Ahern <dsahern@gmail.com>

Applied, thanks David.
diff mbox series

Patch

diff --git a/tools/testing/selftests/net/pmtu.sh b/tools/testing/selftests/net/pmtu.sh
index 524b15dabb3c..b9171a7b3aaa 100755
--- a/tools/testing/selftests/net/pmtu.sh
+++ b/tools/testing/selftests/net/pmtu.sh
@@ -430,15 +430,15 @@  setup_xfrm() {
 	veth_a_addr="${2}"
 	veth_b_addr="${3}"
 
-	run_cmd "${ns_a} ip -${proto} xfrm state add src ${veth_a_addr} dst ${veth_b_addr} spi 0x1000 proto esp aead 'rfc4106(gcm(aes))' 0x0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f 128 mode tunnel" || return 1
-	run_cmd "${ns_a} ip -${proto} xfrm state add src ${veth_b_addr} dst ${veth_a_addr} spi 0x1001 proto esp aead 'rfc4106(gcm(aes))' 0x0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f 128 mode tunnel"
-	run_cmd "${ns_a} ip -${proto} xfrm policy add dir out mark 10 tmpl src ${veth_a_addr} dst ${veth_b_addr} proto esp mode tunnel"
-	run_cmd "${ns_a} ip -${proto} xfrm policy add dir in mark 10 tmpl src ${veth_b_addr} dst ${veth_a_addr} proto esp mode tunnel"
-
-	run_cmd "${ns_b} ip -${proto} xfrm state add src ${veth_a_addr} dst ${veth_b_addr} spi 0x1000 proto esp aead 'rfc4106(gcm(aes))' 0x0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f 128 mode tunnel"
-	run_cmd "${ns_b} ip -${proto} xfrm state add src ${veth_b_addr} dst ${veth_a_addr} spi 0x1001 proto esp aead 'rfc4106(gcm(aes))' 0x0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f 128 mode tunnel"
-	run_cmd "${ns_b} ip -${proto} xfrm policy add dir out mark 10 tmpl src ${veth_b_addr} dst ${veth_a_addr} proto esp mode tunnel"
-	run_cmd "${ns_b} ip -${proto} xfrm policy add dir in mark 10 tmpl src ${veth_a_addr} dst ${veth_b_addr} proto esp mode tunnel"
+	run_cmd ${ns_a} ip -${proto} xfrm state add src ${veth_a_addr} dst ${veth_b_addr} spi 0x1000 proto esp aead 'rfc4106(gcm(aes))' 0x0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f 128 mode tunnel || return 1
+	run_cmd ${ns_a} ip -${proto} xfrm state add src ${veth_b_addr} dst ${veth_a_addr} spi 0x1001 proto esp aead 'rfc4106(gcm(aes))' 0x0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f 128 mode tunnel
+	run_cmd ${ns_a} ip -${proto} xfrm policy add dir out mark 10 tmpl src ${veth_a_addr} dst ${veth_b_addr} proto esp mode tunnel
+	run_cmd ${ns_a} ip -${proto} xfrm policy add dir in mark 10 tmpl src ${veth_b_addr} dst ${veth_a_addr} proto esp mode tunnel
+
+	run_cmd ${ns_b} ip -${proto} xfrm state add src ${veth_a_addr} dst ${veth_b_addr} spi 0x1000 proto esp aead 'rfc4106(gcm(aes))' 0x0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f 128 mode tunnel
+	run_cmd ${ns_b} ip -${proto} xfrm state add src ${veth_b_addr} dst ${veth_a_addr} spi 0x1001 proto esp aead 'rfc4106(gcm(aes))' 0x0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f0f 128 mode tunnel
+	run_cmd ${ns_b} ip -${proto} xfrm policy add dir out mark 10 tmpl src ${veth_b_addr} dst ${veth_a_addr} proto esp mode tunnel
+	run_cmd ${ns_b} ip -${proto} xfrm policy add dir in mark 10 tmpl src ${veth_a_addr} dst ${veth_b_addr} proto esp mode tunnel
 }
 
 setup_xfrm4() {